org.eclipse.oomph.setup.util

## Class DownloadUtil

- java.lang.Object
- - org.eclipse.oomph.setup.util.DownloadUtil

-     public final class DownloadUtil
      extends Object

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DownloadUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static File` | `downloadURL(String url, ProgressLog progress)`
    `static String` | `load(URIConverter uriConverter, URI uri, String encoding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DownloadUtil

          public DownloadUtil()

  - ### Method Detail

    - #### downloadURL

          public static File downloadURL(String url,
                         ProgressLog progress)

    - #### load

          public static String load(URIConverter uriConverter,
                    URI uri,
                    String encoding)
                             throws IOException

      Throws:
        `IOException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html